library(tidyverse)
DATA_PATH <- "./Raw_Output/"
source("Scripts/Data_Proc_Script.r")
DAT <- GET_ALL_DATA(DATA_PATH)


COUNTY_DATA <-DAT %>% group_by(Year,Major_Event,County_Name) %>% summarize(Employment =sum(Employment ),Labor_Income =sum(Labor_Income),Value_Added=sum(Value_Added),Output=sum(Output),Subcounty=sum(Subcounty),Special=sum(Special),County=sum(County),State=sum(State),STATE_TOTAL=sum(STATE_TOTAL),Federal=sum(Federal))

STATE_EVENT_DATA <- DAT %>% group_by(Year,Major_Event) %>%  summarize(Employment =sum(Employment ),Labor_Income =sum(Labor_Income),Value_Added=sum(Value_Added),Output=sum(Output),Subcounty=sum(Subcounty),Special=sum(Special),County=sum(County),State=sum(State),STATE_TOTAL=sum(STATE_TOTAL),Federal=sum(Federal))

STATE_TYPE_DATA <- DAT %>% group_by(Year,Impact) %>%  summarize(Employment =sum(Employment ),Labor_Income =sum(Labor_Income),Value_Added=sum(Value_Added),Output=sum(Output),Subcounty=sum(Subcounty),Special=sum(Special),County=sum(County),State=sum(State),STATE_TOTAL=sum(STATE_TOTAL),Federal=sum(Federal))

ggplot(aes(x=Year,y=Employment,group-Impact,fill=Impact),data=STATE_TYPE_DATA)+geom_bar(stat = "identity")
ggplot(aes(x=Year,y=STATE_TOTAL/10^6,group=Impact,fill=Impact),data=STATE_TYPE_DATA)+geom_bar(stat = "identity")+ylab("Wyoming Taxes (Million USD)")  

ggplot(aes(x=Year,y=Employment,group-Major_Event,fill=Major_Event),data=STATE_EVENT_DATA)+geom_bar(stat = "identity") + scale_fill_discrete(name = "Economic Event")
ggplot(aes(x=Year,y=STATE_TOTAL/10^6,group=Major_Event,fill=Major_Event),data=STATE_EVENT_DATA)+geom_bar(stat = "identity") + scale_fill_discrete(name = "Economic Event")+ylab("Wyoming Taxes (Million USD)")